OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_UAttribute Class Reference

`#include <PDataStd_UAttribute.hxx>`

Inheritance diagram for PDataStd_UAttribute:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_UAttribute ()
Standard_EXPORT void | SetID (const Handle(PCollection_HExtendedString)&guid)
Standard_EXPORT Handle_PCollection_HExtendedString | GetID () const
| PDataStd_UAttribute (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HExtendedString) _CSFDB_GetPDataStd_UAttributemyID() const
void | _CSFDB_SetPDataStd_UAttributemyID (const Handle(PCollection_HExtendedString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PCollection_HExtendedString | myID

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_UAttribute::PDataStd_UAttribute | ( |  | ) |

PDataStd_UAttribute::PDataStd_UAttribute | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_UAttribute::_CSFDB_SetPDataStd_UAttributemyID | ( | const Handle(PCollection_HExtendedString)& | p | ) | `[inline]`

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_UAttribute::GetID | ( |  | ) | const

Standard_EXPORT const PDataStd_UAttribute::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_UAttribute::Handle | ( | PCollection_HExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_UAttribute::SetID | ( | const Handle(PCollection_HExtendedString)& | guid | ) |

## Field Documentation

Handle_PCollection_HExtendedString PDataStd_UAttribute::myID`[private]`

The documentation for this class was generated from the following file:

- PDataStd_UAttribute.hxx